Bug 1674672 - augeas: FTBFS in Fedora rawhide/f30
Summary: augeas: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: augeas
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: lutter@watzmann.net
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:51 UTC by Fedora Release Engineering
Modified: 2019-08-08 13:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 13:31:51 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:51 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:51 UTC, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2019-02-11 16:51 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 16:51:26 UTC
augeas failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32367250


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix augeas at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
augeas will be orphaned. Before branching of Fedora 31,
augeas will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:51:29 UTC
Created attachment 1529327 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:51:30 UTC
Created attachment 1529328 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:51:32 UTC
Created attachment 1529329 [details]
state.log

Comment 4 Lukas Slebodnik 2019-03-01 21:56:26 UTC
The same problem is in fedora 30

Comment 5 Lukas Slebodnik 2019-03-01 22:02:13 UTC
And is even more critical becasue it is not possible to install augeas in f30

sh# yum install -y augeas
Last metadata expiration check: 0:02:59 ago on Fri 01 Mar 2019 09:53:12 PM CET.
Error: 
 Problem: conflicting requests
  - nothing provides libreadline.so.7()(64bit) needed by augeas-1.11.0-2.fc30.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

Comment 6 Richard W.M. Jones 2019-03-04 10:05:22 UTC
There seem to be lots of gnulib test failures.  Unfortunately "fix gnulib" isn't
really an option for us downstream.  It would require huge/weird patches to the
tarball.  The only thing we can do is to encourage upstream to upgrade gnulib and
make another tarball (ie. another full upstream release).  I have asked about this
upstream:

https://www.redhat.com/archives/augeas-devel/2019-March/msg00000.html

Comment 7 Daniel Berrangé 2019-03-04 11:12:11 UTC
We should just disable the "make check" part of the RPM spec until there is an upstream fix.

This is blocking libvirt builds & installs which in turn blocks lots of other pieces.

Comment 8 Richard W.M. Jones 2019-03-04 17:16:48 UTC
As suggested by Dan in the previous comment, I have disabled the %check sections
and submitted builds for Rawhide and F30.  Note this does not fix the problem,
it's a workaround, so do not close this bug yet.

Comment 9 Fedora Release Engineering 2019-08-08 13:31:51 UTC
The following builds were made: augeas-1.11.0-4.fc30 augeas-1.11.0-4.fc31 augeas-1.12.0-1.fc30 augeas-1.12.0-1.fc31 augeas-1.12.0-2.fc31


Note You need to log in before you can comment on or make changes to this bug.